package com.diagbot.vo;

import java.util.Date;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;

import lombok.Getter;
import lombok.Setter;
/**
 * 
 * @Description: 用户认证
 * @author wangfeng
 * @date 2018年9月20日 下午1:41:56
 */

@Getter
@Setter
public class UserInfoAuditVO {
	  @Pattern(regexp = "[YN]",message = "参数类型 错误")
	  private Integer isReject;//是否通过认证 N:未通过，Y:已通过
	  private Integer rejectType;//未通过类型
	  private String rejectComment;//认证被拒理由
	  private String status;//认证状态（0：未认证，1：已认证，2：认证中）
	  @NotNull(message = "请输入用户id!")
	  private Long userId;//用户id

}
